<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_539cf4259a149ca9dbb739b2cdb7c" . "608" => base64_decode("ZW1haWxfYWRkcm" . "Vzcw=="), "con" . "tex" . "t" => base64_decode("Y29u" . "dGV4" . "dA=="), "_28c85ce81fee653298026" . "2893b6f2425" => base64_decode("dXNl" . "cm5h" . "bWU="), "_8cca4dd34e20c5344bb2a30f25" . "33c4e5" => base64_decode("ZnVsbF" . "9uYW1l"), "_5439477835f9c7cc" . "26a988f88cb19553" => base64_decode("cHJldl9mdWxsX" . "25hbWU="), "user" . "_id" => base64_decode("dXNlcl" . "9pZA=="), "_baec81a782bb3" . "d538149a922568" . "8246e" => base64_decode("ZXZlbnRfc291cm" . "Nl"), "_eb6cb4623735c" . "07195e93735d65" . "9236d" => base64_decode("cHJldl9lbWFpbF9hZ" . "GRyZXNz"), "_b070ffda70d673baa" . "2ab1a4ca13c254c" => base64_decode("cHJldl" . "91c2Vy" . "bmFtZQ" . "=="), "_dd45fa0d6586ab8e73f6f6f116" . "b1a970" => base64_decode("cHJldl91c2V" . "yX2lk"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["co" . "nt" . "ex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["conte" . "xt"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_8cca4dd34" . "e20c5344bb" . "2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_28c85ce" . "81fee653" . "29802628" . "93b6f242" . "5"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_539cf4259a149ca9dbb739b2cdb7c" . "608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_dd45fa0d65" . "86ab8e73f6f" . "6f116b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5439477835f9c7cc26a" . "988f88cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_b070ffda70d673baa2ab1a4ca1" . "3c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_eb6cb4623735c07195e93735d65923" . "6d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_baec81a782bb3d538149a9225688" . "246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}